#top-container {
	padding-top: 1em;
	padding-bottom: 1em;
	display: flex;
	flex-direction: column;

}




.page-content ul {
	margin-bottom: 1.75em;
}

.page-content ul li {
	
	background-repeat: no-repeat;
	background-size: 8px;
	background-position: left center;
	padding-left: 1.25em;

}





#products-categories img,
.contact-person img {
	margin-bottom: 1em;
}


#products-categories a h3,
#cases a h4 {
	background-image: url('../images/arrow-right-dark.svg');
	background-position: 98% 3px;
	background-size: 10px;
	background-repeat: no-repeat;
	padding-right: 1em;

}

#products-categories a:hover h3,
#cases a:hover h4 {
	background-position: right 3px;

}


.product-categories .children {
	margin-left: 1.5em;
}



.contact-person img,
.contacts img {
	width: 140px;
	height: 140px;
	border-radius: 50%;
	margin-bottom: 1.25em;

}




iframe {
	padding: 1em;
	margin-top: 1em;
	margin-bottom: 2em;
	background-color: #ffffff;
}

.contacts img[src*="svg"] {
	width: 40px;
	height: 40px;
	border-radius: 0;
	margin-top: 0;
	margin-bottom: 0;
}

#call {
	margin-top: 0.5em;
}



footer li a {

	font-weight: 600;

}

footer li a:hover {
	border-bottom: solid 2px #00ADFE;

}




label {

	display: block;
	margin-bottom: 0.5em;
	cursor: pointer;
	font-size: 1.1rem;
	font-weight: 600;

}



input[type="text"],
input[type="email"],
input[type="tel"],
textarea,
input[type="nuber"] {
	font-size: 1.1rem;
	padding: 1.25em;
	margin-bottom: 1.5em;
	width: 100%;
	-webkit-appearance: none;
	background-color: #ffffff;
	border: 0;
	color: #002447;
	border-radius: 3px;

}


input[type="number"] {
	border: solid 2px #2373C4;
	border-radius: 3px;
	margin-bottom: 0.75em;

}


textarea {

	overflow: auto;
	min-height: 180px;

}


.grey-bg {

	background-color: #f1f6f9;
}


.grey-bg-darker {

	background-color: #e5eef4;
}



.blue-bg {
	background-image: linear-gradient(#2373c4 0%, #1a5b9c 100%);
	color: #ffffff;
}


.blue-bg>.white-bg,
.contact-person p {
	color: #002a54 !important;

}

.blue-bg>.white-bg h3,
.contact-person h3 {

	color: #2373C4 !important;

}








.button-container {
	display: flex;
	flex-direction: column;
}

.button-container .button {
	margin-bottom: 1.5em;
}

.button-ghost {
	border: solid 3px;
	background-image: none;
	padding: 1.225em;

	background-repeat: no-repeat;
	background-size: 12px;
	background-position: right 1.225em center;

}


.button-ghost:hover {
	background-position: right 0.95em center;
}


.button-ghost-dark {
	border-color: #002a54;
	color: #002a54;
	background-image: url('../images/arrow-right-dark.svg');

}

.button-ghost-blue {
	border-color: #2373C4;
	color: #2373C4;
}


.button-download {
	border-color: #002a54;
	color: #002a54;
	background-image: url('../images/pdf.svg');
	background-size: 24px;
	margin-top: 1.5em;
	margin-bottom: 1.5em;
	transition: none;
	background-position: right 1.225em center;


}


.button-download:hover {
	background-position: right 1.225em center;

}


.mobile-filters-button,
.mobile-filters-button:hover {
	border-color: #002a54;
	color: #002a54;
	background-image: url('../images/mobile-filters.svg');
	background-size: 28px;
	margin-top: 1.5em;
	margin-bottom: 1.5em;
	background-position: right 1.225em center;
	transition: none;


}



input[type="submit"],
button[type="submit"] {
	border: 0;
	text-align: center;

}

G833 #call a {


	background: url("../images/call-white.svg") no-repeat right 1.5em center, linear-gradient(#00aeff, #0290eb);
	background-size: 26px, cover;
	width: calc(100% - 1.25em);

}








.highlight-image {


	background-image: url('https://dummyimage.com/1200x900/cccccc/999999.png');
	background-position: center center;
	background-repeat: no-repeat;
	background-size: cover;
	height: 100%;
	min-height: 340px;
}




.content {
	display: none;
}

p a,
ul li a {
	transition: all .3s ease-in-out;
}

#products-categories a h3,
.button,
.button-ghost,
.solution,
#cases a h4 {
	transition: background-position .3s ease-in-out;
}


#sidebar .content {
	padding-top: 0.75em;
	padding-bottom: 0.75em;
}





#sidebar .expander {
	background: url("../images/plus-white.svg") right 1.25em center no-repeat, linear-gradient(180deg, #2373c4 0%, #2465A6 100%);
	background-size: 16px 16px, cover;
	margin-bottom: 4px;
	font-size: 0.9rem;
	padding-right: 3em;
	max-width: 100%;


}








#sidebar li a,
#sidebar li a:visited {

	margin-bottom: 3px;
	text-decoration: none;
	color: #002a54;
	padding: 0.5em 0 0.5em 0;

}


#sidebar .expander-active {
	background: url("../images/plus-white.svg") right 1.25em center no-repeat, linear-gradient(180deg, #2465A6 0%, #2373c4 100%);
	background-size: 16px 16px, cover;
}



#sidebar .expander:hover {
	background: url("../images/plus-white.svg") right 1.25em center no-repeat, linear-gradient(180deg, #2465A6 0%, #2373c4 100%);
	background-size: 16px 16px, cover;
}



#sidebar .expanded {
	background: url("../images/minus-white.svg") right 1.25em center no-repeat, linear-gradient(180deg, #2373c4 0%, #2465A6 100%);
	background-size: 16px 16px, cover;
	margin-bottom: 4px;

}


#sidebar .expanded:hover {
	background: url("../images/minus-white.svg") right 1.25em center no-repeat, linear-gradient(180deg, #2465A6 0%, #2373c4 100%);
	background-size: 16px 16px, cover;
	margin-bottom: 4px;

}


#sidebar li a:hover,
#sidebar li .current-cat a {



	color: #2373c4;
}


#sidebar .content ul {
	margin-bottom: 0.5em;

}

#sidebar .content ul li {
	background-image: none;
	padding-left: 0;

}

#sidebar .content li a {
	font-size: 1rem;

}



#sidebar .sidebar-product-list-active {

	background-image: none;

}


.white-bg {
	background-color: #ffffff;
}




.box-shadow {
	box-shadow: 0px 0px 28px rgba(0, 0, 0, 0.1);
}

#logos,
.solution,
#some,
#main-search {
	display: flex;
	position: relative;
}



.search-bar {
	flex: 10;
}

.search-button {
	flex: 1;
	position: absolute;
	right: -16px;
}

#main-search input[type="search"] {

	border: 2px solid var(--wp--preset--color--text);
	width: 100%;
	font-size: 1rem;
	padding: 0.85em;
	height: 44px;
	border-radius: 6px;
}


#main-search input[type="search"]::-webkit-search-decoration {
	display: none;
}




#main-search button {
	width: 82px;
	border: 0;
	height: 44px;
	font-size: 0px;
	border-top-right-radius: 3px;
	border-bottom-right-radius: 3px;
	border-top-left-radius: 0;
	border-bottom-left-radius: 0;


	background: url("../images/search.svg") center center no-repeat;
	background-size: 20px 20px, cover;
	margin: 0;


}







#shopping-cart {
	margin-top: 1.75em;
	margin-bottom: 0.75em;
	text-align: right;
	display: flex;
    align-items: center;
	justify-content: flex-end;
}


#shopping-cart a {
	text-decoration: none;
	background-image: url('../images/shopping-cart.svg');
	background-repeat: no-repeat;
	background-size: 28px;
	background-position: left center;
	padding-left: 2em;
}


#shopping-cart span {
	margin-left: 1.5em;
	padding-left: 1.5em;
	border-left: 1px solid #ffffff;
	display: inline-block;
	border-left: 1px solid var(--wp--preset--color--text);
}


.solution,
#logos {
	align-items: center;
}

#solutions {
	margin-top: 0.75em;
}

.solution img {
	width: 40px;
	margin-right: 1.15em;
}



.solution {
	padding: 1em 2.25em 1em 1.5em;

	background: url("../images/arrow-right-white.svg") no-repeat right 1.5em center, linear-gradient(#00aeff, #0290eb);
	background-size: 12px, cover;
	margin-bottom: 1.5em;
	border-radius: 3px;


}

.solution:hover {
	background: url("../images/arrow-right-white.svg") no-repeat right 1.2em center, linear-gradient(#0290eb, #00aeff);
	background-size: 12px, cover;

}





#cases img,
.catalog img,
#strengths img,
#strengths h4 {
	margin-bottom: 1.5em;
}


.catalog img {
	width: 260px;
}

#logos {
	flex-wrap: wrap;
	justify-content: center;
	gap: 2em;
}

#logos img {
	margin-bottom: 1em;
	width: 110px;
	height: auto;


}


#strengths img {
	width: 200px;
}


#menu-container {

	
	align-items: center;
}


footer#site-footer {
	border-top: 11px solid var(--wp--preset--color--dark-background);
	background-color: #fff;
	font-weight: 600;
	margin-top: 100px;
}

footer img {
	margin-top: 1.25em;
	margin-bottom: 1.5em;
}

footer ul {

	margin-bottom: 2em;
}


footer ul li {
	line-height: 1.75em;
}


#some {
	margin-top: 1em;
	margin-bottom: 1em;
}

#some img {
	margin-right: 1.5em;
	width: 50px;
}





#breadcrumb span {
	padding-left: 0.85em;
	padding-right: 0.85em;
	color: #2373c4;
	background-image: url('../images/arrow-right-dark.svg');
	background-position: center 6px;
	background-size: 8px;
	background-repeat: no-repeat;
}


hr {
	border: 0;
	height: 4px;
	background-color: #042E58;
	margin-top: 2em;
	margin-bottom: 2em;
}


h4+hr {
	height: 2px;
	background-color: #d9e6ef;
	margin-bottom: 1.25em;
	margin-top: 1.25em;

}

footer hr {
	margin-top: 1em;
	margin-bottom: 1;
}

.footer-icon a:hover {
	border: 0;
}

.footer-icon {
	padding-left: 36px;
	padding-top: 0.5em;
	padding-bottom: 0.5em;
	background-repeat: no-repeat;

}

.footer-icon-location {
	background-image: url('../images/footer-icon-location.svg');
	background-position: left center;
	background-size: 20px;


}


.footer-icon-tel {
	background-image: url('../images/footer-icon-call.svg');
	background-position: left center;
	background-size: 20px;


}

.footer-icon-email {
	background-image: url('../images/footer-icon-email.svg');
	background-position: left center;
	background-size: 20px;


}


#hero-image {
	display: none;
}

/*uutta koodia*/
#hero-image-container {
	display: flex;
	flex-direction: column;
}


#heroimage {
	height: 200px;
	order: 1;
	width: 100vw;
	background-image: url('../images/main-image.jpg');
	margin-left: -20px;
	margin-right: -24px;
	background-position: center center;
	margin-top: -24px;
	background-repeat: no-repeat;
	background-size: cover;
}

#hero-image-text {
	order: 2;
}

/* end uutta koodia*/

#hero-image-text .button {
	margin-bottom: 1.5em;
}


#filters {
	margin-bottom: 2.5em;
}

#product-images {
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;
	max-width: 800px;
}

#product-images img {
	margin-bottom: 1em;
}


table td,
table th {
	text-align: left;
}


/* Customize the label (the container) */
.checkbox-container {
	display: inline-block;
	position: relative;
	padding-left: 52px;
	margin-right: 2em;
	margin-bottom: 12px;
	cursor: pointer;
	font-size: 1.1rem;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

/* Hide the browser's default checkbox */
.checkbox-container input {
	position: absolute;
	opacity: 0;
	cursor: pointer;
	height: 0;
	width: 0;
}

/* Create a custom checkbox */
.checkmark {
	position: absolute;
	top: -4px;
	left: 0;
	height: 36px;
	width: 36px;
	background-color: #2373C4;
}

/* On mouse-over, add a grey background color */
.checkbox-container:hover input~.checkmark {
	background-color: #2373C4;
}

/* When the checkbox is checked, add a blue background */
.checkbox-container input:checked~.checkmark {
	background-color: #2373C4;
}

/* Create the checkmark/indicator (hidden when not checked) */
.checkmark:after {
	content: "";
	position: absolute;
	display: none;
}

/* Show the checkmark when checked */
.checkbox-container input:checked~.checkmark:after {
	display: block;
}

/* Style the checkmark/indicator */
.checkbox-container .checkmark:after {
	left: 13px;
	top: 8px;
	width: 11px;
	height: 16px;
	border: solid white;
	border-width: 0 3px 3px 0;
	-webkit-transform: rotate(45deg);
	-ms-transform: rotate(45deg);
	transform: rotate(45deg);
}


.previous-pages p {
	margin-top: 1em;

	margin-bottom: 1em;
	font-size: 1rem;
}



#post-navigation {
	margin-top: 0.70em;

	display: flex;
	justify-content: space-between;
	margin-bottom: 0.75em;
}

#post-navigation .prev a,
#post-navigation .next a,
#post-navigation .prev a:visited,
#post-navigation .next a:visited {
	background-repeat: no-repeat;
	background-size: 30px;
	padding-top: 0.5em;
	padding-bottom: 0.5em;
	text-decoration: none;
	color: #002a54;
	font-weight: 600;
	font-size: 1rem;
}

#post-navigation .prev a:hover,
#post-navigation .next a:hover {
	color: #2373C4;
}

#post-navigation .prev a {
	background-image: url('../images/arrow-left-dark.svg');
	padding-left: 2em;
	background-position: left center;
}

#post-navigation .next a {
	background-image: url('../images/arrow-right-dark.svg');
	padding-right: 2em;
	background-position: right center;
}


.gform_validation_errors {
	padding: 1em;
	background-color: #1E548A;
}

.gform_submission_error {
	font-size: 1.5rem;
}





/* WooCommerce*/

.woocommerce-product-gallery {
	margin-bottom: 1.5em;
}


.related-cats,
.instructions {
	margin-bottom: 0em !important;
}


.related-cats li,
.instructions li,
#add-to-cart ul li {
	background-image: none !important;
	padding-left: 0 !important;

}


.posted_in {
	display: block;
	margin-top: 1em;
}


.woocommerce-tabs {
	margin-top: 1em;
}

.woocommerce-product-attributes p {
	margin-bottom: 0 !important;
}

.cart label {
	color: inherit;
}

.cart input[type="number"],
.sku_wrapper {


	margin-bottom: 1.7em;
}


.sku_wrapper {
	display: block;
	font-weight: 600;
}



@media all and (min-width: 900px) {
	.button-container {
		display: flex;
		flex-direction: row;
		justify-content: space-between;
		width: 100%;
	}

	.button-container .button,
	.sku_wrapper {
		margin-bottom: 0;
	}


	#post-navigation .prev a,
	#post-navigation .next a,
	#post-navigation .prev a:visited,
	#post-navigation .next a:visited {
		font-size: 1.15rem;
	}


}


@media all and (min-width: 1023px) {


	.previous-pages p {
		margin-top: 0.5em;

		font-size: 1.1rem;
	}


	.button-container {
		width: 620px;
	}


	.mobile-filters-button,
	.mobile-product-categories-button {
		display: none !important;
	}

	.mobile-filters .content,
	.mobile-product-categories .content {
		display: inherit !important;
	}


	#hero-image-outer-container {
		position: relative;
	}


	#hero-image-text {
	
		position: relative;
	}

	#heroimage {
		display: inherit;
		bottom: 0;
		right: 0;
		width: 50%;
		position: absolute;
		z-index: -1;
		background-image: url('../images/main-image.jpg');
		height: 100%;
		background-position: center center;
		margin-top: 0;
		background-repeat: no-repeat;
		background-size: cover;

	}

	#triangle {
		height: 100%;
		width: 290px;
		background-image: url('../images/triangle.svg');
		background-size: cover;
		background-position: left -1px bottom -2px;
		background-repeat: no-repeat;
	}

	/*uutta koodia*/
	#triangle {
		height: 100%;
		width: 340px;
		background-image: url('../images/triangle.svg');
		background-size: cover;
		background-position: left -1px bottom -2px;
		background-repeat: no-repeat;
	}

	/*end uutta koodia*/

	.solution {
		padding: 1.15em 2.25em 1.15em 1.5em;



	}




	#strengths h4 {
		margin-bottom: 0;
	}



	#menu-container {

		margin-bottom: 0;
	}


	#main-search {
		width: 400px;
		position: relative;

	}

	#main-search button,
	#main-search button:hover {
		background-size: 27px 27px, cover;


	}

	#main-search button,
	#main-search input[type="search"] {

		height: 54px;

	}


	#shopping-cart {
		margin: 0 0 0 2.75em;
	}


	#top-container {
		padding-bottom: 1em;
		justify-content: flex-end;

	}



	#top-container,
	#menu-container {
		display: flex;
		flex-direction: row;



	}



	#hero-text {
		position: relative;
		z-index: 99;

	}



	#logo,
	#logo img {
		margin-right: auto;
	}





	.catalog img {
		width: 290px;
	}


	.relative,
	#hero {
		position: relative;


	}

	.relative {
		position: relative;
	}


	#hero-image {

		height: 100%;

	}


	#hero-image-text .button {
		margin-right: 2em;
		margin-bottom: 0;
	}


	#sidebar .expander,
	#sidebar li a {
		max-width: 360px;
	}

	.solution img {
		width: 50px;
	}


	.button,
	input[type="submit"] {
		max-width: 320px;

	}

	footer img {
		margin-top: 0;

	}

	#news hr:last-of-type {
		margin-bottom: 3em;
	}





	#sidebar li a,
	#sidebar li a:hover,
	#sidebar li a:visited {

		padding: 1em;

		background-image: linear-gradient(180deg, #2373c4 0%, #2465A6 100%);

		color: #ffffff;


	}

	#sidebar li a:hover {
		background-image: linear-gradient(180deg, #2465A6 0%, #2373c4 100%);

	}


	#sidebar li .current-cat a {
		background-image: none;
		background-color: #1e548a;
		color: #ffffff;
	}




}







@media all and (min-width: 1260px) {

	#main-search {
		width: 459;

	}

	footer img {
		width: 174px;

	}


	#some {
		margin-top: 4.75em;
		margin-bottom: 0;
	}




	#news hr:last-of-type {
		margin-bottom: 3.625em;
	}

}